curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"market_type": "<string>",
"location_name": "<string>",
"location_code": 123,
"language_name": "<string>",
"language_code": "<string>",
"priority": 123,
"postback_url": "<string>",
"pingback_url": "<string>",
"postback_data": "<string>"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post"
payload = [
{
"market_type": "<string>",
"location_name": "<string>",
"location_code": 123,
"language_name": "<string>",
"language_code": "<string>",
"priority": 123,
"postback_url": "<string>",
"pingback_url": "<string>",
"postback_data": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
market_type: '<string>',
location_name: '<string>',
location_code: 123,
language_name: '<string>',
language_code: '<string>',
priority: 123,
postback_url: '<string>',
pingback_url: '<string>',
postback_data: '<string>'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'market_type' => '<string>',
'location_name' => '<string>',
'location_code' => 123,
'language_name' => '<string>',
'language_code' => '<string>',
'priority' => 123,
'postback_url' => '<string>',
'pingback_url' => '<string>',
'postback_data' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post"
payload := strings.NewReader("[\n {\n \"market_type\": \"<string>\",\n \"location_name\": \"<string>\",\n \"location_code\": 123,\n \"language_name\": \"<string>\",\n \"language_code\": \"<string>\",\n \"priority\": 123,\n \"postback_url\": \"<string>\",\n \"pingback_url\": \"<string>\",\n \"postback_data\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"market_type\": \"<string>\",\n \"location_name\": \"<string>\",\n \"location_code\": 123,\n \"language_name\": \"<string>\",\n \"language_code\": \"<string>\",\n \"priority\": 123,\n \"postback_url\": \"<string>\",\n \"pingback_url\": \"<string>\",\n \"postback_data\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"market_type\": \"<string>\",\n \"location_name\": \"<string>\",\n \"location_code\": 123,\n \"language_name\": \"<string>\",\n \"language_code\": \"<string>\",\n \"priority\": 123,\n \"postback_url\": \"<string>\",\n \"pingback_url\": \"<string>\",\n \"postback_data\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
"<string>"
],
"tasks[].id": "<string>",
"tasks[].status_code": 123,
"tasks[].status_message": "<string>",
"tasks[].cost": 123,
"tasks[].result_count": 123
}Setting Google Finance Markets SERP Tasks
Queues the market indexes and movers Google Finance lists on Google, returning a task id in tasks[0].
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"market_type": "<string>",
"location_name": "<string>",
"location_code": 123,
"language_name": "<string>",
"language_code": "<string>",
"priority": 123,
"postback_url": "<string>",
"pingback_url": "<string>",
"postback_data": "<string>"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post"
payload = [
{
"market_type": "<string>",
"location_name": "<string>",
"location_code": 123,
"language_name": "<string>",
"language_code": "<string>",
"priority": 123,
"postback_url": "<string>",
"pingback_url": "<string>",
"postback_data": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
market_type: '<string>',
location_name: '<string>',
location_code: 123,
language_name: '<string>',
language_code: '<string>',
priority: 123,
postback_url: '<string>',
pingback_url: '<string>',
postback_data: '<string>'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'market_type' => '<string>',
'location_name' => '<string>',
'location_code' => 123,
'language_name' => '<string>',
'language_code' => '<string>',
'priority' => 123,
'postback_url' => '<string>',
'pingback_url' => '<string>',
'postback_data' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post"
payload := strings.NewReader("[\n {\n \"market_type\": \"<string>\",\n \"location_name\": \"<string>\",\n \"location_code\": 123,\n \"language_name\": \"<string>\",\n \"language_code\": \"<string>\",\n \"priority\": 123,\n \"postback_url\": \"<string>\",\n \"pingback_url\": \"<string>\",\n \"postback_data\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"market_type\": \"<string>\",\n \"location_name\": \"<string>\",\n \"location_code\": 123,\n \"language_name\": \"<string>\",\n \"language_code\": \"<string>\",\n \"priority\": 123,\n \"postback_url\": \"<string>\",\n \"pingback_url\": \"<string>\",\n \"postback_data\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"market_type\": \"<string>\",\n \"location_name\": \"<string>\",\n \"location_code\": 123,\n \"language_name\": \"<string>\",\n \"language_code\": \"<string>\",\n \"priority\": 123,\n \"postback_url\": \"<string>\",\n \"pingback_url\": \"<string>\",\n \"postback_data\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
"<string>"
],
"tasks[].id": "<string>",
"tasks[].status_code": 123,
"tasks[].status_message": "<string>",
"tasks[].cost": 123,
"tasks[].result_count": 123
}id in tasks[0].id. The charge lands here; fetching is free, including re-fetching. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200. The live twin answers immediately and is simpler for a single query; queue when the batch would outlast a tool call.
Example
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_markets/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"location_name": "...", "location_code": "...", "language_name": "..."}]'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
type of google finance market optional field possible values: most-active, indexes, indexes/americas, indexes/europe-middle-east-africa, indexes/asia-pacific, gainers, losers, climate-leaders, cryptocurrencies, currencies default value: most-active
full name of search engine location required field if you don't specify location_code if you use this field, you don't need to specify location_code you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/serp/google/locations example: London,England,United Kingdom
search engine location code required field if you don't specify location_name if you use this field, you don't need to specify location_name you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/serp/google/locations example: 2840
full name of search engine language required field if you don't specify language_code if you use this field, you don't need to specify language_code you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages example: English
search engine language code required field if you don't specify language_name if you use this field, you don't need to specify language_name you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages example: en
task priority optional field can take the following values: 1 – normal execution priority (set by default); 2 – high execution priority You will be additionally charged for the tasks with high execution priority
URL for sending task results optional field once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request example: http://your-server.com/postbackscript?id=$id http://your-server.com/postbackscript?id=$id&tag=$tag Note: special characters in postback_url will be urlencoded; i.a., the # character will be encoded into %23 learn more on our Help Center
notification URL of a completed task optional field when a task is completed we will notify you by GET request sent to the URL you have specified you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request. example: http://your-server.com/pingscript?id=$id http://your-server.com/pingscript?id=$id&tag=$tag Note: special characters in pingback_url will be urlencoded; i.a., the # character will be encoded into %23 learn more on our Help Center
postback_url datatype required field if you specify postback_url corresponds to the datatype that will be sent to your server possible values:: advanced, html
Response
Successful operation
The current version of the API
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
Total tasks cost, USD
The number of tasks in the tasks array
The number of tasks in the tasks array returned with an error
array of tasks
task identifier unique task identifier in our system in the UUID format
status code of the task generated by DataForSEO, can be within the following range: 10000-60000 you can find the full list of the response codes here
informational message of the task you can find the full list of general informational messages here
total tasks cost, USD
Number of elements in the result array